package com.cultural.heritage.model.vo;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
public class CartRecordVO implements Serializable {


    /**
     * 购物车记录id
     */
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 商品id
     */
    private Long goodId;

    /**
     * 数量
     */
    private Integer quantity;

    /**
     * 小计
     */
    private Double subtotal;


    /**
     * 购物车商品详情信息
     */
    private GoodVO goodVO;


    @Serial
    private static final long serialVersionUID = 1L;
}
