package com.cultural.heritage.controller.user;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.cultural.heritage.utils.UrlUtil;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;

@RestController
@RequestMapping("/wx")
@Slf4j
@Tag(name = "微信登录接口")
public class WeChatController {


    @GetMapping("/login")
    public JSONObject list(String code) {
        String requestUrl = "https://api.weixin.qq.com/sns/jscode2session";
        Map<String,String> requestUrlParam = new HashMap<>();
        requestUrlParam.put("appid","wx3f968a09e31d6bed");	//开发者设置中的appId
        requestUrlParam.put("secret", "847bdda7c2b01e88d59948b9ba50ef8d");	//开发者设置中的appSecret
        requestUrlParam.put("js_code", code);	//小程序调用wx.login返回的code
        requestUrlParam.put("grant_type", "authorization_code");//默认参数
        JSONObject jsonObject = JSON.parseObject(UrlUtil.sendPost(requestUrl, requestUrlParam));
        return  jsonObject;
    }




}
