package com.cultural.heritage.model.dto.contacts;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 联系人更新请求体
 */
@Data
public class ContactsUpdateRequest implements Serializable {

    /**
     * 联系人id
     */
    private Long id;


    /**
     * 联系人姓名
     */
    private String name;


    /**
     * 联系人手机号
     */
    private String phone;


    /**
     * 用户id
     */
    private Long userId;

    /**
     * 是否默认
     */
    private Integer isDefault;


    @Serial
    private static final long serialVersionUID = 1L;
}
